Page MenuHomePhabricator

[RfC] Decide whether to index not-notable placeholders
Closed, ResolvedPublic

Description

Given we are just about to start our first tests with indexing article placeholders (see T144592), we need to decide what to do with the placeholders that are not notable.

We could make them:

  1. noindex, nofollow (=> don't index and don't follow links)
  2. noindex, follow (=> don't index, but follow links)
  3. index, follow

No. 1 would lose us quite some links to other pages (and maybe later on also other placeholders) from these placeholders, but we would also potentially save us from some requests (not sure how often search engines pokes such pages). There might also be negative side effects for other placeholders that are indexable (depending on how search engines treat these things).
No. 2 wouldn't save us any traffic (probably), but it would still give our links at least some weight (potentially, no idea how search engines actually rate these).
No. 3 would lead to empty and almost empty placeholders to show up in search results, that's probably a show stopper.

Event Timeline

hoo created this task.Jan 31 2017, 5:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 31 2017, 5:47 PM
hoo updated the task description. (Show Details)Jan 31 2017, 5:57 PM

2 seems like the right thing to do at this point for me.

Shouldn't we use nofollow on all placeholders? How does following links from placeholders help us? The pages reachable from there are probably reachable from other places as well. I don't think it makes much of a difference.

hoo added a comment.Feb 1 2017, 3:50 PM

Shouldn't we use nofollow on all placeholders? How does following links from placeholders help us? The pages reachable from there are probably reachable from other places as well. I don't think it makes much of a difference.

So why bother and set nofollow? Just because page are probably linked from somewhere else already?

Agreed. Not necessary. Let's go with 2.

Lydia_Pintscher closed this task as Resolved.Feb 19 2017, 10:14 AM
Lydia_Pintscher claimed this task.
hoo moved this task from Incoming to Done on the ArticlePlaceholder board.Apr 3 2017, 3:34 PM
hoo added a subscriber: Fnielsen.May 19 2017, 7:23 PM

When discussing this with @Fnielsen he mentioned that there might be Items which are very interesting for the certain audience of a Wikipedia (like Danish paintings might be very interesting to readers of the Danish Wikipedia). But these Items often fail to meet our notability criteria, as they are mostly interesting for a certain audience.

We should think about these cases, but still need to make sure we don't attract search engine spammers.